at.chipkarte.client.elgaad.soap

## Class GdaAdresse

- Object
- - at.chipkarte.client.elgaad.soap.GdaAdresse

-     public class GdaAdresse
      extends Object

  Adresse des GDAs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GdaAdresse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBundesland()` Bundesland der GDA Adresse.
    `Boolean` | `getHauptadresse()` Kennzeichen ob es sich bei der Adresse um die Hauptadresse des GDAs handelt.
    `String` | `getHausnummer()` Hausnummer der GDA Adresse.
    `String` | `getLand()` Staatencode der GDA Adresse laut ISO-3166 (im Speziellen dem Value Set Alpha 2).
    `String` | `getOrt()` Ortsname der GDA Adresse.
    `String` | `getPlz()` Postleitzahl der GDA Adresse.
    `String` | `getStrasse()` Strasse der GDA Adresse.
    `void` | `setBundesland(String bundesland)`
    `void` | `setHauptadresse(Boolean hauptadresse)`
    `void` | `setHausnummer(String hausnummer)`
    `void` | `setLand(String land)`
    `void` | `setOrt(String ort)`
    `void` | `setPlz(String plz)`
    `void` | `setStrasse(String strasse)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GdaAdresse

          public GdaAdresse()

  - ### Method Detail

    - #### getHauptadresse

          public Boolean getHauptadresse()

      Kennzeichen ob es sich bei der Adresse um die Hauptadresse des GDAs handelt.
      Angabe: Kann
      Format: Boolean, true wenn die Adresse die Hauptadresse ist
      Returns:
        Kennezichnung Hauptadresse

    - #### setHauptadresse

          public void setHauptadresse(Boolean hauptadresse)

    - #### getHausnummer

          public String getHausnummer()

      Hausnummer der GDA Adresse.
      Angabe: Kann
      Format: max. 12 stellig (alphanumerisch)
      Returns:
        Hausnummer

    - #### setHausnummer

          public void setHausnummer(String hausnummer)

    - #### getStrasse

          public String getStrasse()

      Strasse der GDA Adresse.
      Angabe: Kann
      Format: max. 88 stellig (alphanumerisch)
      Returns:
        Strasse

    - #### setStrasse

          public void setStrasse(String strasse)

    - #### getOrt

          public String getOrt()

      Ortsname der GDA Adresse.
      Angabe: Kann
      Format: max. 50 stellig (alphanumerisch)
      Returns:
        Ort

    - #### setOrt

          public void setOrt(String ort)

    - #### getBundesland

          public String getBundesland()

      Bundesland der GDA Adresse.
      Angabe: Kann
      Format: max. 50 stellig (alphanumerisch)
      Returns:
        Bundesland

    - #### setBundesland

          public void setBundesland(String bundesland)

    - #### getPlz

          public String getPlz()

      Postleitzahl der GDA Adresse.
      Angabe: Kann
      Format: max. 10 stellig (alphanumerisch)
      Returns:
        Plz

    - #### setPlz

          public void setPlz(String plz)

    - #### getLand

          public String getLand()

      Staatencode der GDA Adresse laut ISO-3166 (im Speziellen dem Value Set Alpha 2).
      Angabe: Kann
      Format: 2 stellig (alphanumerisch)
      Returns:
        Staat

    - #### setLand

          public void setLand(String land)